%Program to test the integralfunction from the symbolic toolbox
clear all
close all
clc

% point = mupad('integralTester.mn');
% 
% %Accessing alpha, beta, gamma and Tor
% f2 = getVar(point,'f2');
% f1 = getVar(point,'f1');
% f2_func = matlabFunction(f2);
% f1_func = matlabFunction(f1);

load('DynamicSystemParameters_3dim.mat');

load('solution_3_1');

PQ = getSolutionCoeff(Pos_e,sol,thetae_opt,Dyn_Syst)

abg = Dyn_Syst{1};

Alpha = abg{1};
Beta = abg{2};
Gamma = abg{3};

[l, s, m, I_m, I_r, N, g] = RobotParameters();

PQ_1 = PQ(:,:,1);

% y1 = myfunBetaOverAlpha(PQ,Alpha,Beta,1);

% boiboi = integral(y1,1,2)

fun = @(x,c,v) (c*v*x.^2);

% q = integral(@(the)(56*exp(in(Beta(l,m,s,I_r,PQ_1,the))./(Alpha(l,m,s,I_r,PQ_1,the))),1,2)


% q3 = integrateThisShit(0,2)
% 
% q4 = integral(@(y)y*integrateThisShit(0,y),0,2,'ArrayValued',true)
% 
% func1 = @(x) 0*x+1;
% func2 = @(x) x*exp(2*integral(func1,0,x));
% a = integral(func2,0,2,'ArrayValued',true)

theta0 = sol(1).y(1,1)
dtheta0 = sol(1).y(1,2)
theta = sol(1).y(15,1)
dtheta = sol(1).y(15,2)


func1 = @(the) Beta(l,m,s,I_r,PQ_1,the)./Alpha(l,m,s,I_r,PQ_1,the);
func2 = @(the) (2*Gamma(l,m,s,g,PQ_1,the)./Alpha(l,m,s,I_r,PQ_1,the))*exp(2*integral(func1,theta0,the));

I_1 = dtheta^2 -exp(-2*integral(func1,theta0,theta))*dtheta0^2
I_2 = exp(-2*integral(func1,theta0,theta))*integral(func2,theta0,theta,'ArrayValued',true)

I = I_1+I_2