function comparePlot(Linsol,Linsol_est,ite,original,create,color_Style)

t1_1 = Linsol(1).t;
t1_2 = Linsol(2).t+Linsol(1).t(end);
t1_3 = Linsol(3).t+Linsol(1).t(end)+Linsol(2).t(end);
t1_4 = Linsol(4).t+Linsol(1).t(end)+Linsol(2).t(end)+Linsol(3).t(end);
t2_1 = Linsol_est(1).t;
t2_2 = Linsol_est(2).t+Linsol_est(1).t(end);
t2_3 = Linsol_est(3).t+Linsol_est(1).t(end)+Linsol_est(2).t(end);
t2_4 = Linsol_est(4).t+Linsol_est(1).t(end)+Linsol_est(2).t(end)+Linsol_est(3).t(end);

t1_1 = [t1_1;t1_2]; 
t1_2 = [t1_3;t1_4];
t2_1 = [t2_1;t2_2];
t2_2 = [t2_3;t2_4];

Lin1_1 = [Linsol(1).y(:,ite);Linsol(2).y(:,ite)];
Lin1_2 = [Linsol(3).y(:,ite);Linsol(4).y(:,ite)];
Lin2_1 = [Linsol_est(1).y(:,ite);Linsol_est(2).y(:,ite)];
Lin2_2 = [Linsol_est(3).y(:,ite);Linsol_est(4).y(:,ite)];


if length(Linsol(1).y(1,:)) == 10,
    if ite == 1,
        type = '\theta';
        the_legend_1 = '\theta(t) Optimal ';
        the_legend_2 = '\theta(t) Actual';
    elseif ite == 6,
        type = 'd\theta'
        the_legend_1 = 'd\theta(t) Optimal ';
        the_legend_2 = 'd\theta(t) Actual';
    elseif ite < 6,
        ite_str = int2str(ite);
        type = strcat('q',ite_str);
        the_legend_1 = 'q(t) Optimal ';
%         the_legend_2 = 'q(t) Actual';
    else,
        ite_str = int2str(ite-5);
        type = strcat('dq',ite_str)
        the_legend_1 = 'dq(t) Optimal ';
%       the_legend_2 = 'dq(t) Actual';
    end
elseif length(Linsol(1).y(1,:)) == 9,
    if ite == 1,
        type = 'I';
    elseif ite < 6,
        type = strcat('q',ite_str);
    else,
        type = strcat('dq',ite_str);
    end
end

title_1 = strcat('Evolution of Generalized Velocity ,',type)

if color_Style == 1,
    c='k';
    c_fix = ':k';
elseif color_Style == 2,
    c = 'b';
    c_fix = ':b';
elseif color_Style == 3,
    c = 'g';
    c_fix = ':g';
elseif color_Style == 4,
    c = 'm'
    c_fix = ':m';
end

if create,
    figure
end
hold on
if original,
    l1 = plot(t1_1,Lin1_1,'r')
    plot([t1_1(end) t1_2(1)],[Lin1_1(end) Lin1_2(1)],':r')
    plot(t1_2,Lin1_2,'r')
end
l2 = plot(t2_1,Lin2_1,c)
plot([t2_1(end) t2_2(1)],[Lin2_1(end) Lin2_2(1)],c_fix)
plot(t2_2,Lin2_2,c)
title(title_1)
xlabel('t')
ylabel(type)
% if length(Linsol(1).y(1,:)) == 10,
%     legend([l1 l2],{the_legend_1,the_legend_2},'Location','NorthWest')
% end
if original
    legend([l1],{the_legend_1},'Location','NorthWest')

grid on

end