function [thetae] = getThetae(N,Dim)
%Function returning an array of the desired configuration of theta at the
%end of each step of the gait.
%Input...
%Output...
%thetae... The array consisting of ending values.


if Dim == 2,
    if N == 1,
        thetae = [2.7 2.25 0.5 0.9415];
    
    elseif N == 2,
        thetae = [2.9 2.05 0.2 0.9415];   %TBU
        
    elseif N == 3,
        thetae = [2.7 2.0 0.4 0.9415];    %TBU
    end
elseif Dim == 3,
    if N == 1,
        %thetae = [2.5 2.1 0.6 0.9415];   %TBU
        thetae = [2.5 2.25 0.6 0.9415];
    elseif N == 2,
        thetae = [2.9 2.05 0.2 0.9415];
        %thetae = [2.5 2.00 0.6 0.9415];   %TBU
    elseif N == 3,
        %thetae = [2.5 1.9 0.6 0.9415];    %TBU
        thetae = [2.7 2.0 0.4 0.9415]; 
    end
elseif Dim == 4,
    if N == 1,
        thetae = [2.7 2.25 0.5 0.9415];
       % thetae = [2.5 2.1 0.6 0.9415];   %TBU
    elseif N == 2,
        thetae = [2.9 2.05 0.2 0.9415];
%         thetae = [2.5 2.00 0.6 0.9415];   %TBU
    elseif N == 3,
        thetae = [2.5 2.0 0.6 0.9415];    %TBU
    end
elseif Dim == 5,
    if N == 1,
        thetae = [2.7 2.25 0.5 0.9415];
       % thetae = [2.5 2.1 0.6 0.9415];   %TBU
    elseif N == 2,
        thetae = [2.9 2.05 0.2 0.9415];
%         thetae = [2.5 2.00 0.6 0.9415];   %TBU
    elseif N == 3,
        thetae = [2.5 2.0 0.6 0.9415];    %TBU
    end        
    
end

end
