function [Q,G,R,S,E] = getWeightMatrices(ite)
%Function to return the suitable weight matrices given the current
%iteration of the Linear System.
%Input...
%Ite... current iteration.
%Output... the weight matrices Q,G,R,S,E

if ite == 1,
    G = 10000*eye(9);         %G as in our literature
    Q = eye(9);         %Qmatrix, secondary weight for the transverse coord
    R = eye(4);         %Gamma
    S = zeros(9,4);     %g
    E = eye(9);         %Big G
elseif ite == 2,
    G = 10000*eye(9);           
    Q = eye(9);          
    R = eye(4);          
    S = zeros(9,4);      
    E = eye(9);          
elseif ite == 3,
    G = 10000*eye(9);          
    Q = eye(9);          
    R = eye(4);          
    S = zeros(9,4);     
    E = eye(9);          
elseif ite == 4,
    G = 10000*eye(9);          
    Q = eye(9);           
    R = eye(4);          
    S = zeros(9,4);      
    E = eye(9);           
else
    G = 10000*eye(9);          
    Q = eye(9);          
    R = eye(4);         
    S = zeros(9,4);     
    E = eye(9);     
end
end

    
