function [q] = q_TimeFunction(sol,solExt,t_tot,ite)
%Function designed to transform the evolution of a generalized coordinate
% q for iteration ite, into a time dependent function that yields the 
%value of q for a specific time t
%Input...
%sol... the optimal solution stored for a set of points
%solExt... the completed solution of all steps
%ite... the current iteration one wishes to solve for
%Output...
%theta_func... theta as a function of time

%Extracting theta
the = thetaTimeFunction(sol,solExt,t_tot,ite);

%Extracting PQ
