function testTheMatrices(ite,Linsol_true, Linsol_premade)



F = [1 1 -0.5; -1 -1 2; 0.5 2 3];
% F = [1 0; 0 1];

fy = [2;-0.5; 0]

N1 = [-1;-3;2];
N2 = [-2;-4;3];
m = [3;4;5];
L_n = [1 2 -0.5; 0.2 4 0.5; 1 5 0.5];
L_n_inv = inv(L_n)
P = [1.5;4; 3];


w_1_1 = dot(L_n_inv*fy,m)/dot(N1,m);
w_1_2 = dot(F*((-1)*w_1_1*N1+L_n_inv*fy),N2);
w_1_3 = (-w_1_2*N2)/dot(N2,N2);
w_1_4 = dot(L_n_inv*fy,m)/dot(N1,m);
w_1_5 = F*((-1)*w_1_4*N1+L_n_inv*fy);
W_1 = w_1_3+w_1_5;


%switch matrix L Implementation
K1 = dot(N1,m);
K2 = dot(N2,N2);

% L_1 = (-1/K2)*((-1/K1)*(N2'*N2*N1'*m*L_n_inv)+N2'*N2*L_n_inv)
% L_2 = (-1/K1)*(N1'*m*L_n_inv)
% L_3 = L_n_inv

% L_1 = (-1/K2)*((-1/K1)*(N_0'*N_0*N_e'*m*L_N_inv)+N_0'*N_0*L_N_inv);
% L_2 = (-1/K1)*(N_e'*m*L_N_inv);
% L_3 = L_N_inv;

% W_2 = (L_1+L_2+L_3)*fy

%SwitchHandling Implementation
k_1 = -dot(L_n_inv*fy,m)/dot(N1,m);

V = k_1*N1 + L_n_inv*fy;

V = F*V;

k_2 = -dot(V,N2)/dot(N2,N2);

W_3 =  k_2*N2 + V;


% F*N1
% Test1 = -(N2'*F*N1*N2)/K2 + F*N1
% Test2 = (-N2*N2'/K2 + eye(2))*F*N1

L_1 = (-N2*N2'/K2 + eye(3))*F*(-N1*m'*L_n_inv/K1 + L_n_inv);
W_4 = (-N2*N2'/K2 + eye(3))*F*(-N1*m'*L_n_inv/K1 + L_n_inv)*fy;


%Method 1
L_2 = [0.5 0.4 0.3; -0.2 -0.4 1.2];

X_new_1 = L_2*W_3;

%Method 2
ip = [eye(2); zeros(1,2)];
fy_new = [fy(1);fy(2)];

X_new_2 = L_2*L_1*fy;


load('Linear_System_1');
L_2 = L(:,:,2);

x_new_1 = Linsol_true(3).y(1,:)';

x_old_1 = Linsol_true(2).y(end,:)';
x_old_2 = Linsol_premade(2).y(end,:)';

disc1 = x_old_1-x_old_2

x_new_2_1 = L_2*x_old_1
x_new_2_2 = L_2*x_old_2

disc2 = x_new_2_1-x_new_1
disc3 = x_new_2_2-x_new_1















