function [P_prev, theta0_prev] = updatePrevious(Pos,theta0,PQ,ite)
%Function to calculate what shall be used as the previous step for theta0
%and position in the next step.
%Input...
%Pos... Current Pos of this step.
%theta0... Current initial theta of this step.
%PQ... Current polynomials for the VHC
%ite... current iteration

P_prev = Pos;

if ite == 2,
    theta0_prev = switchParameters(theta0,[0;0;0;0;0],PQ,ite);
else
    theta0_prev = theta0;
    
end
