function [L,N] = extract_L_N(dth,ddth,dq,ddq,dphi,ddphi)
%Function to exract the matrix L and the vector N.

%Creating the L matrix (from #5)

L = [-2*ddth zeros(1,4) 2*dth zeros(1,4); 
     -dphi(1)  1 zeros(1,8);
     -dphi(2)  0 1 zeros(1,7);
     -dphi(3)  0 0 1 zeros(1,6);
     -dphi(4)  0 0 0 1 zeros(1,5);
     -ddphi(1)*dth zeros(1,4) -dphi(1) 1 zeros(1,3);
     -ddphi(2)*dth zeros(1,4) -dphi(2) 0 1 zeros(1,2); 
     -ddphi(3)*dth zeros(1,4) -dphi(3) zeros(1,2) 1 0;
     -ddphi(4)*dth zeros(1,4) -dphi(4) zeros(1,3) 1;
     ];

%Creating the n-matrix (from #5)
N = [dth dq ddth ddq];