function generateLinearSystem(sol,solExt,Dyn_Syst,LinSys)

A_1 = @(t) matrix_A_timeFunction(sol,solExt,Dyn_Syst,LinSys,t,1);
A_2 = @(t) matrix_A_timeFunction(sol,solExt,Dyn_Syst,LinSys,t,2);
A_3 = @(t) matrix_A_timeFunction(sol,solExt,Dyn_Syst,LinSys,t,3);
A_4 = @(t) matrix_A_timeFunction(sol,solExt,Dyn_Syst,LinSys,t,4);

B_1 = @(t) matrix_B_timeFunction(sol,solExt,Dyn_Syst,LinSys,t,1);
B_2 = @(t) matrix_B_timeFunction(sol,solExt,Dyn_Syst,LinSys,t,2);
B_3 = @(t) matrix_B_timeFunction(sol,solExt,Dyn_Syst,LinSys,t,3);
B_4 = @(t) matrix_B_timeFunction(sol,solExt,Dyn_Syst,LinSys,t,4);

L_1 = switch_Matrix_L(sol,solExt,Dyn_Syst,1);
L_2 = switch_Matrix_L(sol,solExt,Dyn_Syst,2);
L_3 = switch_Matrix_L(sol,solExt,Dyn_Syst,3);
L_4 = switch_Matrix_L(sol,solExt,Dyn_Syst,4);

A = cell(4,1);
B = cell(4,1);
L = zeros(9,9,4);

A{1} = A_1;
A{2} = A_2;
A{3} = A_3;
A{4} = A_4;

B{1} = B_1;
B{2} = B_2;
B{3} = B_3;
B{4} = B_4;

L(:,:,1) = L_1;
L(:,:,2) = L_2;
L(:,:,3) = L_3;
L(:,:,4) = L_4;

T_int = [0 solExt.te(1) solExt.te(2) solExt.te(3) solExt.te(4)];

save('Linear_System_1','A','B','L','T_int','sol','solExt');

 