function [Trasol] = testLinearSolution(Trasol,sol,PQ_tot,ite,K,Dyn_Syst,LinSys)

%Function Handles and parameters
g_y = LinSys{1};
g_dy = LinSys{2};
g_ddy = LinSys{3};

abg = Dyn_Syst{1};
Alpha = abg{1};
Beta = abg{2};
Gamma = abg{3};
tor = Dyn_Syst{2};

Syst_mat = Dyn_Syst{6};
M_syst = Syst_mat{1};
C_syst = Syst_mat{2}
G_syst = Syst_mat{3};

PCM = Dyn_Syst{3};
P_y = PCM{2,5};
n_reg = 101;

[l, s, m, I_m, I_r, N, g] = RobotParameters();
t_tot = sol(ite).te;
n = length(sol(ite).y(:,1));
t_tot = sol(ite).te;
PQ = PQ_tot(:,:,ite);
Trasol.CP = PQ;
Linsol.y = [];
Linsol.t = [];
Trasol.torque = [];
% Linsol = 1;
theta_opt_0 = sol(ite).y(1,1);
dtheta_opt_0 = sol(ite).y(1,2);


 len = length(Trasol.y(:,1));
 for j=1:len,
            x = Trasol.y(j,:)'
            t = Trasol.t(j)

              
%             min_t_distance = inf;     
%              for i = 1:int_len,
%                 if t > Linsol_true(ite).t(end),
%                     rem = 0;
%                     ct_min = int_len;
%                     ct_pos = int_len;
%                 else,
%                     disc = abs(t-Linsol_true(ite).t(i));
%                     if disc < min_t_distance,
%                         if t >= Linsol_true(ite).t(i),
%                             ct = i;
%                             ct_min = ct;
%                             ct_pos = ct+1;
%                             if t == Linsol_true(ite).t(end),
%                                 rem = 1;
%                                 ct_pos = ct;
%                             else,
%                                 rem = disc/(Linsol_true(ite).t(ct_pos)-Linsol_true(ite).t(ct_min));
%                             end
%                         else,
%                             ct = i-1;
%                             ct_min = ct;
%                             ct_pos = ct+1;
%                             rem = 1- disc/(Linsol_true(ite).t(ct_pos)-Linsol_true(ite).t(ct_min));
%                         end
%                         min_t_distance = disc;
%                     end
%                 end
%              end
%                   
%               I = (1-rem)*Linsol_true(ite).y(ct_min,1)+rem*Linsol_true(ite).y(ct_pos,1)    
            
            
            func1 = @(the) Beta(l,m,s,I_r,PQ,the)./Alpha(l,m,s,I_r,PQ,the);
            func2 = @(the) (2*Gamma(l,m,s,g,PQ,the)./Alpha(l,m,s,I_r,PQ,the))*exp(2*integral(func1,theta_opt_0,the));

            I_1 = x(6)^2 -exp(-2*integral(func1,theta_opt_0,x(1)))*dtheta_opt_0^2;
            I_2 = exp(-2*integral(func1,theta_opt_0,x(1)))*integral(func2,theta_opt_0,x(1),'ArrayValued',true);
            I = I_1+I_2;
%               I = 0;

             

%                 AI = Int_est{1};
%                 Inc = Int_est{2};
%                 Buf = Int_est{3};
%                 A = AI{ite};
%                 inc_1 = Inc(ite,1);
%                 inc_2 = Inc(ite,2);
%                 
%                 t1 = Buf+(x(1)-theta0)/inc_1;
%                 t2 = Buf+(x(6)-dtheta0)/inc_2;
%                 
%                 rem1 = mod(t1,1);
%                 rem2 = mod(t2,1);
%                 
%                 P1 = (1-rem1);
%                 P2 = rem1;
%                 dP1 = (1-rem2);
%                 dP2 = rem2;
%                 
%                 T1 = (t1-rem1)+1;
%                 T2 = T1+1;
%                 dT1 = (t2-rem2)+1;
%                 dT2 = dT1+1;
%                 
%                 I = P1*dP1*A(T1,dT1)+P1*dP2*A(T1,dT2)+P2*dP1*A(T2,dT1)+P2*dP2*A(T2,dT2);
               
%             %The y parameters
            phi = theta2phi(x(1),PQ);
            dphi = getDPhi(PQ,x(1));
            ddphi = getDDPhi(PQ,x(1));

            y = zeros(4,1);
            dy = zeros(4,1);

            for k = 1:4,
                y(k) = x(k+1) - phi(k);
                dy(k) = x(k+6) - dphi(k)*x(6);
            end

           x_trans = [I;y;dy];
           
            t_step = t/t_tot;
            pos = t_step*n_reg+1;
            rem = mod(pos,1);
            pos_1 = pos-rem;
            pos_2 = pos_1+1;

            if pos_1 > n_reg,
                pos_1 = n_reg;
            end
            if pos_2 > n_reg,
                pos_2 = n_reg;
            end
            if pos_1 < 1 || pos_2 < 1,
                break
            end
            K_reg = (1-rem)*K(:,:,pos_1) + rem*K(:,:,pos_2)
           
           V = K_reg*x_trans
           
           %Calculate real output U from U = N(V-R)
            B_mat = [zeros(1,4); eye(4)];
           
            %The E-L matrices
                l1 = [1;dphi];
                l2 = [0;x(6)*ddphi];
                L_mat = [zeros(1,5); eye(4) zeros(4,1)] + [zeros(5,4) l1];
                dL_mat = [zeros(5,4) l2];

                E_mat = [eye(4) zeros(4,1)];

            %The N and R matrices
                N_mat = (E_mat/L_mat)*(M_syst(l,m,s,I_r,I_m,N,PQ,x(1:5))\B_mat)
                R_mat = (E_mat/L_mat)*(M_syst(l,m,s,I_r,I_m,N,PQ,x(1:5))\(-C_syst(l,m,s,PQ,x(1:5),x(6:10))*x(6:10)-G_syst(l,m,s,g,PQ,x(1:5)))-dL_mat*[x_trans(6:9); x(6)])
           
           U= N_mat\(V-R_mat)
           
           for i=1:4,
               if U(i) > 40;
                   U(i) = 40;
               elseif U(i) < -40,
                   U(i) = -40;
               end
           end
           
           Trasol.torque = [Trasol.torque; U'];     
           Linsol.y = [Linsol.y; x_trans'];
           Linsol.t = [Linsol.t; Trasol.t(j)];
    end