function comparePlotTheta(sol,Trasol,ite)

t1_1 = sol(1).t;
t1_2 = sol(2).t+sol(1).t(end);
t1_3 = sol(3).t+sol(1).t(end)+sol(2).t(end);
t1_4 = sol(4).t+sol(1).t(end)+sol(2).t(end)+sol(3).t(end);
t2_1 = Trasol(1).t;
t2_2 = Trasol(2).t+Trasol(1).t(end);
t2_3 = Trasol(3).t+Trasol(1).t(end)+Trasol(2).t(end);
t2_4 = Trasol(4).t+Trasol(1).t(end)+Trasol(2).t(end)+Trasol(3).t(end);

t1_1 = [t1_1;t1_2];
t1_2 = [t1_3;t1_4];
t2_1 = [t2_1;t2_2];
t2_2 = [t2_3;t2_4];

Sol1_1 = [sol(1).y(:,ite);sol(2).y(:,ite)];
Sol1_2 = [sol(3).y(:,ite);sol(4).y(:,ite)];

if ite == 2,
    ite = 6, %As Trasol(6) = dtheta
end
Sol2_1 = [Trasol(1).y(:,ite);Trasol(2).y(:,ite)];
Sol2_2 = [Trasol(3).y(:,ite);Trasol(4).y(:,ite)];

min_1 = min(Sol1_1);
min_2 = min(Sol1_2);
max_1 = max(Sol1_1);
max_2 = max(Sol1_2);
min_val = min(min_1,min_2);
max_val = max(max_1,max_2);

if ite == 1,
    the_title = 'Error Evolution of theta';
    y_label = ' \theta '
    the_legend_1 = '\theta(t)^*'
    the_legend_2 = '\theta(t)'
else
    the_title = 'Error Evolution of dtheta';
    y_label = ' d\theta  '
    the_legend_1 = 'd\theta(t)^*'
    the_legend_2 = 'd\theta(t)'
end
figure 
hold on
l1 = plot(t1_1,Sol1_1,'r')
plot([t1_1(end) t1_2(1)],[Sol1_1(end) Sol1_2(1)],':r')
plot(t1_2,Sol1_2,'r')
l2 = plot(t2_1,Sol2_1,'b')
plot([t2_1(end) t2_2(1)],[Sol2_1(end) Sol2_2(1)],':b')
plot(t2_2,Sol2_2,'b')
title(the_title)
xlabel('t')
ylabel(y_label)
axis([min(t1_1) max(t1_2)+0.3 min_val-0.5 max_val+0.5]);
legend([l1 l2],{the_legend_1,the_legend_2},'Location','SouthWest')
grid on
 
end